

@template top
	.top
		h1 Header
		.nav &each: lng in _.list
			a {lng|upper}
				&lang:lng
				&on:"click", Mediator.setLang
				&class:"selected", lng == _.current
				&class:"lang-" + lng
		.nav
			@template nav-row
				a &class:"selected", (location.hash||View.home).indexOf(this.href.split('#')[1])>-1
			nav-row[href="#home"] Home
			nav-row[href="#users"] Users
			nav-row[href="#settings"] Settings
			nav-row[href="#test"] Test
			nav-row[href="#broken-link"] Broken link

@template footer
	.footer.grid.pad-3
		dl.footer__item.col-4
			dt litejs.com
			dd>a[href="#help"] How to use
			dd>a[href="#privacy"] Privacy
		dl.footer__item.col-4
			dt Contacts
			dd>a[href="mailto:mail@to.com"] email

@view #public #body .content
	.app.max-height
		top.app__row
		.content.loader.app__row
		.footer__spacer
	footer.app__row

@view #private #body .content
	.app.max-height
		top.app__row
			button.top__logout Logout
				&on:"click", "logout"
		.content.loader.app__row
		.footer__spacer
	footer.app__row

@view 404 #public
	h2 Error 404
	| Page not found.
	| Maybe you want to look something else?

@view home #public
	h2 Home
	div _welcome

@view login #public
	form[action="javascript:"][method=POST] &emitForm:"login"
		h2 Login
		label
			span Username
			input[name=name]
		label
			span Password
			input[name=pass][type=password]
		input[type=submit] &val:_("Log In")


@view users #public
	h2 Users
	ul.users &list: Data("users")
		li
			a
				&txt: item.name
				&href: "#users/" + item.id

@view users/{id} #public
	h2 User #{route.id}

@view test #public
	h2 Test
	ul
		li>a[href="#test-form1"] Test form
		li>a[href="#test-grid"] Test grid
	@rel user home vnd.app.home
		.home {home.name}
	@rel user home vnd.app.home.v2
		.home {home.homeName}

